beam-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PostCommit_Python_Chicago_Taxi_Dataflow #17
Date Mon, 12 Aug 2019 14:31:20 GMT
See <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/17/display/redirect?page=changes>

Changes:

[lukasz.gajowy] [BEAM-4775] Ensure each JobInvocation test is run in isolation

[lukasz.gajowy] [BEAM-4775] Refactor SamzaRunner - separate pipeline result creation

[lukasz.gajowy] [BEAM-4775] Introduce PortablePipelineResult interface

[lukasz.gajowy] [BEAM-4775] Use PortablePipelineResult in all portable runners

[jiangkai] upgrade calcite to 1.20.0

[jiangkai] api changes in calcite 1.20.0

[lukasz.gajowy] [BEAM-4775] Allow reading portableMetrics from JobInvocation using grpc

[lukasz.gajowy] [BEAM-4775] Stash handle to pipeline result to query metrics later

[lukasz.gajowy] [BEAM-4775] Read portable metrics from grpc response in Python SDK

[lukasz.gajowy] [BEAM-4775] Return portable metrics from Flink runner

[lukasz.gajowy] [BEAM-7772] Remove Pkb from file-based IOIT jobs

[lukasz.gajowy] [BEAM-7772] Refactor: improve naming in the file

[lukasz.gajowy] [BEAM-7772] Refactor: autoformat for consistency (intelij rules applied)

------------------------------------------
Started by timer
[EnvInject] - Loading node environment variables.
Building remotely on apache-beam-jenkins-5 (beam) in workspace <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/>
No credentials specified
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/apache/beam.git
 > git init <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src>
# timeout=10
Fetching upstream changes from https://github.com/apache/beam.git
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/apache/beam.git +refs/heads/*:refs/remotes/origin/*
 > git config remote.origin.url https://github.com/apache/beam.git # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/apache/beam.git # timeout=10
Fetching upstream changes from https://github.com/apache/beam.git
 > git fetch --tags --progress https://github.com/apache/beam.git +refs/heads/*:refs/remotes/origin/*
+refs/pull/${ghprbPullId}/*:refs/remotes/origin/pr/${ghprbPullId}/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision 26d56426b472e2ec21f027b7b53290b5618d7c6d (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 26d56426b472e2ec21f027b7b53290b5618d7c6d
Commit message: "Merge pull request #9311: [SQL] Upgrade to Calcite 1.20.0"
 > git rev-list --no-walk a2b57e3b55a09d641cee8c3b796cc6971a008db0 # timeout=10
No emails were triggered.
[EnvInject] - Executing scripts and injecting environment variables after the SCM step.
[EnvInject] - Injecting as environment variables the properties content 
SPARK_LOCAL_IP=127.0.0.1

[EnvInject] - Variables injected successfully.
[Gradle] - Launching build.
[src] $ <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src/gradlew>
-PgcsRoot=gs://temp-storage-for-perf-tests/chicago-taxi -Prunner=DataflowRunner :sdks:python:test-suites:dataflow:py2:dataflowChicagoTaxiExample
Starting a Gradle Daemon, 2 busy Daemons could not be reused, use --status for details
> Task :buildSrc:compileJava NO-SOURCE
> Task :buildSrc:compileGroovy FROM-CACHE
> Task :buildSrc:pluginDescriptors
> Task :buildSrc:processResources
> Task :buildSrc:classes
> Task :buildSrc:jar
> Task :buildSrc:assemble
> Task :buildSrc:spotlessGroovy
> Task :buildSrc:spotlessGroovyCheck
> Task :buildSrc:spotlessGroovyGradle
> Task :buildSrc:spotlessGroovyGradleCheck
> Task :buildSrc:spotlessCheck
> Task :buildSrc:pluginUnderTestMetadata
> Task :buildSrc:compileTestJava NO-SOURCE
> Task :buildSrc:compileTestGroovy NO-SOURCE
> Task :buildSrc:processTestResources NO-SOURCE
> Task :buildSrc:testClasses UP-TO-DATE
> Task :buildSrc:test NO-SOURCE
> Task :buildSrc:validateTaskProperties FROM-CACHE
> Task :buildSrc:check
> Task :buildSrc:build
Configuration on demand is an incubating feature.

> Task :sdks:python:setupVirtualenv
New python executable in <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src/build/gradleenv/1922375555/bin/python2.7>
Also creating executable in <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src/build/gradleenv/1922375555/bin/python>
Installing setuptools, pip, wheel...
done.
Running virtualenv with interpreter /usr/bin/python2.7
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade
your Python as Python 2.7 won't be maintained after that date. A future version of pip will
drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting tox==3.11.1
  Using cached https://files.pythonhosted.org/packages/8b/38/71c2fe0c3915fc0e93bdd1bf8cd697be48cdacedbdcd438e0f0629c69024/tox-3.11.1-py2.py3-none-any.whl
Collecting grpcio-tools==1.3.5
  Using cached https://files.pythonhosted.org/packages/05/f6/0296e29b1bac6f85d2a8556d48adf825307f73109a3c2c17fb734292db0a/grpcio_tools-1.3.5-cp27-cp27mu-manylinux1_x86_64.whl
Collecting six<2,>=1.0.0 (from tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/73/fb/00a976f728d0d1fecfe898238ce23f502a721c0ac0ecfedb80e0d88c64e9/six-1.12.0-py2.py3-none-any.whl
Requirement already satisfied, skipping upgrade: setuptools>=30.0.0 in <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src/build/gradleenv/1922375555/lib/python2.7/site-packages>
(from tox==3.11.1) (41.0.1)
Collecting pluggy<1,>=0.3.0 (from tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/06/ee/de89e0582276e3551df3110088bf20844de2b0e7df2748406876cc78e021/pluggy-0.12.0-py2.py3-none-any.whl
Collecting toml>=0.9.4 (from tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/a2/12/ced7105d2de62fa7c8fb5fce92cc4ce66b57c95fb875e9318dba7f8c5db0/toml-0.10.0-py2.py3-none-any.whl
Collecting virtualenv>=14.0.0 (from tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/db/9e/df208b2baad146fe3fbe750eacadd6e49bcf2f2c3c1117b7192a7b28aec4/virtualenv-16.7.2-py2.py3-none-any.whl
Collecting py<2,>=1.4.17 (from tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/76/bc/394ad449851729244a97857ee14d7cba61ddb268dce3db538ba2f2ba1f0f/py-1.8.0-py2.py3-none-any.whl
Collecting filelock<4,>=3.0.0 (from tox==3.11.1)
Collecting grpcio>=1.3.5 (from grpcio-tools==1.3.5)

> Task :sdks:python:test-suites:dataflow:py2:setupVirtualenv FAILED
New python executable in <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src/build/gradleenv/-194514014/bin/python2.7>
Also creating executable in <https://builds.apache.org/job/beam_PostCommit_Python_Chicago_Taxi_Dataflow/ws/src/build/gradleenv/-194514014/bin/python>
Installing setuptools, pip, wheel...
done.
Running virtualenv with interpreter /usr/bin/python2.7
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade
your Python as Python 2.7 won't be maintained after that date. A future version of pip will
drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting tox==3.11.1
  Using cached https://files.pythonhosted.org/packages/8b/38/71c2fe0c3915fc0e93bdd1bf8cd697be48cdacedbdcd438e0f0629c69024/tox-3.11.1-py2.py3-none-any.whl
Collecting grpcio-tools==1.3.5
  Using cached https://files.pythonhosted.org/packages/05/f6/0296e29b1bac6f85d2a8556d48adf825307f73109a3c2c17fb734292db0a/grpcio_tools-1.3.5-cp27-cp27mu-manylinux1_x86_64.whl
Collecting six<2,>=1.0.0 (from tox==3.11.1)
  ERROR: Could not find a version that satisfies the requirement six<2,>=1.0.0 (from
tox==3.11.1) (from versions: none)
ERROR: No matching distribution found for six<2,>=1.0.0 (from tox==3.11.1)

> Task :sdks:python:setupVirtualenv
  Using cached https://files.pythonhosted.org/packages/a5/46/5d08b6e26748ed6f3b5e93d980ea5daa63c3a8200b2ad270645b0e2f9566/grpcio-1.22.0-cp27-cp27mu-manylinux1_x86_64.whl
Collecting protobuf>=3.2.0 (from grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/c7/60/19c2c3b563c8a5ebbc5f17982fd794f415cfc4633a8248ab3e23a47662bc/protobuf-3.9.1-cp27-cp27mu-manylinux1_x86_64.whl
Collecting importlib-metadata>=0.12 (from pluggy<1,>=0.3.0->tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/ad/aa/25fcbded2ab4ed4ff3071d1e000cd4f8f9c65653d2d7157dd105a8e81d42/importlib_metadata-0.19-py2.py3-none-any.whl
Collecting futures>=2.2.0; python_version < "3.2" (from grpcio>=1.3.5->grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/d8/a6/f46ae3f1da0cd4361c344888f59ec2f5785e69c872e175a748ef6071cdb5/futures-3.3.0-py2-none-any.whl
Collecting enum34>=1.0.4; python_version < "3.4" (from grpcio>=1.3.5->grpcio-tools==1.3.5)
  Using cached https://files.pythonhosted.org/packages/c5/db/e56e6b4bbac7c4a06de1c50de6fe1ef3810018ae11732a50f15f62c7d050/enum34-1.1.6-py2-none-any.whl
Collecting contextlib2; python_version < "3" (from importlib-metadata>=0.12->pluggy<1,>=0.3.0->tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/a2/71/8273a7eeed0aff6a854237ab5453bc9aa67deb49df4832801c21f0ff3782/contextlib2-0.5.5-py2.py3-none-any.whl
Collecting zipp>=0.5 (from importlib-metadata>=0.12->pluggy<1,>=0.3.0->tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/da/bd/1a5fdf15aa44231fd09f63ecf175b60f057ae37ec65b343bb009364923f3/zipp-0.5.2-py2.py3-none-any.whl
Collecting pathlib2; python_version == "3.4.*" or python_version < "3" (from importlib-metadata>=0.12->pluggy<1,>=0.3.0->tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/67/c6/4dbf5dfdbe1140cadf765c3896acc098578626c35721bc7d3eb35f6a8fc1/pathlib2-2.3.4-py2.py3-none-any.whl
Collecting configparser>=3.5; python_version < "3" (from importlib-metadata>=0.12->pluggy<1,>=0.3.0->tox==3.11.1)
  Using cached https://files.pythonhosted.org/packages/ab/1a/ec151e5e703ac80041eaccef923611bbcec2b667c20383655a06962732e9/configparser-3.8.1-py2.py3-none-any.whl
Collecting scandir; python_version < "3.5" (from pathlib2; python_version == "3.4.*" or
python_version < "3"->importlib-metadata>=0.12->pluggy<1,>=0.3.0->tox==3.11.1)
Installing collected packages: six, contextlib2, zipp, scandir, pathlib2, configparser, importlib-metadata,
pluggy, toml, virtualenv, py, filelock, tox, futures, enum34, grpcio, protobuf, grpcio-tools
Successfully installed configparser-3.8.1 contextlib2-0.5.5 enum34-1.1.6 filelock-3.0.12 futures-3.3.0
grpcio-1.22.0 grpcio-tools-1.3.5 importlib-metadata-0.19 pathlib2-2.3.4 pluggy-0.12.0 protobuf-3.9.1
py-1.8.0 scandir-1.10.0 six-1.12.0 toml-0.10.0 tox-3.11.1 virtualenv-16.7.2 zipp-0.5.2

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':sdks:python:test-suites:dataflow:py2:setupVirtualenv'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to
get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/5.2.1/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 21s
2 actionable tasks: 2 executed

Publishing build scan...
https://gradle.com/s/o4msl3pwejsma

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscribe@beam.apache.org
For additional commands, e-mail: builds-help@beam.apache.org


Mime
View raw message